dan200.computercraft.api.turtle

## Enum TurtleUpgradeType

- java.lang.Object
- - java.lang.Enum<TurtleUpgradeType>
  - - dan200.computercraft.api.turtle.TurtleUpgradeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TurtleUpgradeType>

    public enum TurtleUpgradeType
    extends java.lang.Enum<TurtleUpgradeType>

An enum representing the two different types of turtle that an ITurtleUpgrade implementation can add to a turtle.

See Also:
  `ITurtleUpgrade`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Peripheral` A peripheral adds a special peripheral which is attached to the side of the turtle, and can be interacted with the peripheral API (Such as the modem on Wireless Turtles).
`Tool` A tool is rendered as an item on the side of the turtle, and responds to the turtle.dig() and turtle.attack() methods (Such as pickaxe or sword on Mining and Melee turtles).

### Method Summary

Methods
`static TurtleUpgradeType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TurtleUpgradeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Tool

    public static final TurtleUpgradeType Tool

A tool is rendered as an item on the side of the turtle, and responds to the turtle.dig() and turtle.attack() methods (Such as pickaxe or sword on Mining and Melee turtles).

#### Peripheral

    public static final TurtleUpgradeType Peripheral

A peripheral adds a special peripheral which is attached to the side of the turtle, and can be interacted with the peripheral API (Such as the modem on Wireless Turtles).

### Method Detail

#### values

    public static TurtleUpgradeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TurtleUpgradeType c : TurtleUpgradeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TurtleUpgradeType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null